Debian Bug report logs - #728647
missing dependencies on ifupdown and net-tools

version graph

Package: pppoeconf; Maintainer for pppoeconf is Gregory Colpart <reg@debian.org>; Source for pppoeconf is src:pppoeconf.

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Sun, 3 Nov 2013 18:24:02 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version pppoeconf/1.20

Fixed in version pppoeconf/1.21

Done: Gregory Colpart <reg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gregory Colpart <reg@debian.org>:
Bug#728647; Package pppoeconf. (Sun, 03 Nov 2013 18:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Gregory Colpart <reg@debian.org>. (Sun, 03 Nov 2013 18:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: submit@bugs.debian.org
Subject: missing dependencies on ifupdown and net-tools
Date: Sun, 3 Nov 2013 18:20:53 +0000
[Message part 1 (text/plain, inline)]
Package: pppoeconf
Version: 1.20
Severity: serious
Tags: patch

Hi

pppoeconf depends on ifupdown and net-tools (ifconfig) without 
declaring an explicit dependency on either of these packages. Due to
ifupdown having switched its own reliance on net-tools to iproute2,
new jessie installs are particularly prone to this problem, as ifconfig
is no longer guaranteed to be available.

Rather than just declaring net-tools as a dependency, I've ported 
pppoeconf to use iproute2 instead, thereby following ifupdown and 
reducing the dependency chain as a whole. Existing configurations will 
not be migrated to iproute2 automatically, as doing so would be a 
policy violation, but existing -upgraded- installations should still
have net-tools/ ifconfig available (and pppoeconf will adapt it when
reconfiguring an interface).

I'll follow up this bug with a, tested, 2-patch patch series (which 
also fixes the newly introduced i18n changes), once I receive the bug 
number, but the changes are basically these:

*** Please apply the two patches mailed as follow-up to this bug, ***
*** rather than this patch which is only meant for demonstrating  ***
*** the changes                                                   ***
--- a/debian/control
+++ b/debian/control
@@ -10,7 +10,7 @@ Standards-Version: 3.9.2
 
 Package: pppoeconf
 Architecture: all
-Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
+Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), ifupdown (>= 0.7.44~), iproute2
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections
--- a/pppoeconf
+++ b/pppoeconf
@@ -101,7 +101,7 @@ if test "$*" ; then
    list="$*"
    force_manual=1
 else
-   list=$( LANG=C /sbin/ifconfig -a | grep "Ethernet" | grep -v irlan | cut -f1 -d" " )
+   list=$( LANG=C /bin/ip -f link -o addr list | awk '/^[0-9]*\:.*link\/ether/{print $2}' | grep -v irlan | cut -f1 -d: )
 fi
 
 if test "$list" ; then
@@ -189,7 +189,7 @@ Webnetix:
             fi
 
             touch $TMP/pppoe.scan
-            ifconfig $iface up
+            ip link set $iface up
             ($DISCOVERY_PROGRAM $mmm -A -I $iface > $TMP/$iface.pppoe ; rm $TMP/pppoe.scan) &
 
             ( time=0 ; while test -f $TMP/pppoe.scan ; do time=`expr $time + 6`; echo $time; sleep 1; done ) | $DIALOG --title "$title" --gauge "$text $mmode" 10 60 0
@@ -253,9 +253,12 @@ Continue with configuration?')
          # interface activation code - this sucks here, pppd plugin should do it as needed
          #sed -i -e "s,pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf,pre-up /sbin/ifconfig $ifacenocomma up # line maintained by pppoeconf," $INTFILE
     # FIXME: Make sure that it gets added to correct iface stanza! (Because it's not always added above)
-    PATTERN_PREUP_IFACE="pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
-    REPLACE_PREUP_IFACE="pre-up /sbin/ifconfig $ifacenocomma up # line maintained by pppoeconf"
-    if grep -q "$PATTERN_PREUP_IFACE" $INTFILE; then 
+    PATTERN_PREUP_IFACE_LEGACY="pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
+    PATTERN_PREUP_IFACE="pre-up /bin/ip link set[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
+    REPLACE_PREUP_IFACE="pre-up /bin/ip link set $ifacenocomma up # line maintained by pppoeconf"
+    if grep -q "$PATTERN_PREUP_IFACE_LEGACY" $INTFILE; then
+        sed -i -e "s,$PATTERN_PREUP_IFACE_LEGACY,$REPLACE_PREUP_IFACE," $INTFILE
+    elif grep -q "$PATTERN_PREUP_IFACE" $INTFILE; then
         sed -i -e "s,$PATTERN_PREUP_IFACE,$REPLACE_PREUP_IFACE," $INTFILE
     else
         sed -i -e "s,[^#]*\(iface dsl-provider.*\),\1\n$REPLACE_PREUP_IFACE," $INTFILE
@@ -461,7 +464,7 @@ Note that this situation is not expected and you should consider submitting a bu
       cd /
       pon dsl-provider
       title=$(gettext 'CONNECTION INITIATED')
-      text=$(gettext 'The DSL connection has been triggered. You can use the "plog" command to see the status or "ifconfig ppp0" for general interface info.')
+      text=$(gettext 'The DSL connection has been triggered. You can use the "plog" command to see the status or "ip addr show ppp0" for general interface info.')
       $DIALOG --title "$title" --clear --msgbox "$text" 10 60
       ;;
     1)
*** Please apply the two patches mailed as follow-up to this bug, ***
*** rather than this patch which is only meant for demonstrating  ***
*** the changes                                                   ***

Regards
	Stefan Lippers-Hollmann

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.11-6.slh.3-aptosid-amd64 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gregory Colpart <reg@debian.org>:
Bug#728647; Package pppoeconf. (Sun, 03 Nov 2013 18:30:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Gregory Colpart <reg@debian.org>. (Sun, 03 Nov 2013 18:30:22 GMT) Full text and rfc822 format available.

Message #10 received at 728647@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 728647@bugs.debian.org
Subject: [PATCH 1/2] add missing package dependencies on ifupdown and net-tools.
Date: Sun, 3 Nov 2013 18:26:13 +0000
---
 debian/changelog | 6 ++++++
 debian/control   | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index d4c3578..28cc385 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+pppoeconf (1.21) UNRELEASED; urgency=low
+
+  * add missing package dependencies on ifupdown and net-tools.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 03 Nov 2013 16:23:07 +0100
+
 pppoeconf (1.20) unstable; urgency=low
 
   * Fix pppoeconf.desktop (Closes: #590202) 
diff --git a/debian/control b/debian/control
index 85e5d84..cc99e6c 100644
--- a/debian/control
+++ b/debian/control
@@ -10,7 +10,7 @@ Standards-Version: 3.9.2
 
 Package: pppoeconf
 Architecture: all
-Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
+Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), ifupdown, net-tools
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections
-- 
1.8.4.2




Information forwarded to debian-bugs-dist@lists.debian.org, Gregory Colpart <reg@debian.org>:
Bug#728647; Package pppoeconf. (Sun, 03 Nov 2013 18:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Gregory Colpart <reg@debian.org>. (Sun, 03 Nov 2013 18:30:25 GMT) Full text and rfc822 format available.

Message #15 received at 728647@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 728647@bugs.debian.org
Subject: [PATCH 2/2] follow ifupdown and switch from net-tools' ifconfig to iproute2.
Date: Sun, 3 Nov 2013 18:27:19 +0000
---
 debian/changelog |  4 +++-
 debian/control   |  2 +-
 po/de.po         |  4 ++--
 po/es.po         |  4 ++--
 po/fr.po         |  4 ++--
 po/it.po         |  4 ++--
 po/ja.po         |  4 ++--
 po/old/pt.po     |  4 ++--
 po/pppoeconf.pot |  2 +-
 po/pt_BR.po      |  4 ++--
 po/pt_PT.po      |  4 ++--
 po/ru.po         |  4 ++--
 po/sl.po         |  4 ++--
 po/zh_TW.po      |  2 +-
 pppoeconf        | 15 +++++++++------
 15 files changed, 35 insertions(+), 30 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 28cc385..7200cb8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 pppoeconf (1.21) UNRELEASED; urgency=low
 
-  * add missing package dependencies on ifupdown and net-tools.
+  * add missing package dependency on ifupdown.
+  * follow ifupdown and switch from net-tools' ifconfig to iproute2, adapt
+    dependencies accordingly (Closes: #XXXXXX).
 
  -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 03 Nov 2013 16:23:07 +0100
 
diff --git a/debian/control b/debian/control
index cc99e6c..c12df54 100644
--- a/debian/control
+++ b/debian/control
@@ -10,7 +10,7 @@ Standards-Version: 3.9.2
 
 Package: pppoeconf
 Architecture: all
-Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), ifupdown, net-tools
+Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), ifupdown (>= 0.7.44~), iproute2
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections
diff --git a/po/de.po b/po/de.po
index bc9a916..0815a5b 100644
--- a/po/de.po
+++ b/po/de.po
@@ -358,10 +358,10 @@ msgstr "VERBINDUNG GESTARTET"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "Die DSL-Verbindung wurde ausgelöst. Sie können den Verbindungsstatus mit dem "
-"Befehl \"plog\" beobachten, sonstige Daten mit \"ifconfig ppp0\"."
+"Befehl \"plog\" beobachten, sonstige Daten mit \"ip addr show ppp0\"."
 
 #: ../pppoeconf:476
 msgid "NO INTERFACE FOUND"
diff --git a/po/es.po b/po/es.po
index 3c1b2a6..b735b64 100644
--- a/po/es.po
+++ b/po/es.po
@@ -357,10 +357,10 @@ msgstr "CONEXI
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "Se ha lanzado la conexión DSL. Puedes utilizar el comando «plog» para ver el "
-"estado o «ifconfig ppp0» para ver información general de la interfaz."
+"estado o «ip addr show ppp0» para ver información general de la interfaz."
 
 #: ../pppoeconf:476
 msgid "NO INTERFACE FOUND"
diff --git a/po/fr.po b/po/fr.po
index ae135c7..95bcd47 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -347,10 +347,10 @@ msgstr "Connexion établie"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "La connexion DSL a été établie. Vous pouvez utiliser la commande « plog » "
-"pour en voir l'état ou « ifconfig ppp0 » pour des informations générales sur "
+"pour en voir l'état ou « ip addr show ppp0 » pour des informations générales sur "
 "l'interface."
 
 #: ../pppoeconf:476
diff --git a/po/it.po b/po/it.po
index b2d5c68..7862971 100644
--- a/po/it.po
+++ b/po/it.po
@@ -354,10 +354,10 @@ msgstr "CONNESSIONE INIZIALIZZATA"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "La connessione DSL Ú stata stabilita. Puoi usare il comando \"plog\" per "
-"vederne lo stato o \"ifconfig ppp0\" per informazioni generali "
+"vederne lo stato o \"ip addr show ppp0\" per informazioni generali "
 "sull'interfaccia"
 
 #: ../pppoeconf:476
diff --git a/po/ja.po b/po/ja.po
index 653e617..a3ac1bb 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -318,10 +318,10 @@ msgstr "接続の初期化"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "DSL 接続が匕き起こされたした。状況を芋るのに \"plog\" コマンドを䜿ったり、䞀"
-"èˆ¬çš„ãªã‚€ãƒ³ã‚¿ãƒŒãƒ•ã‚§ã‚€ã‚¹æƒ…å ±ã‚’èŠ‹ã‚‹ã®ã« \"ifconfig ppp0\" を䜿ったりするこずがで"
+"èˆ¬çš„ãªã‚€ãƒ³ã‚¿ãƒŒãƒ•ã‚§ã‚€ã‚¹æƒ…å ±ã‚’èŠ‹ã‚‹ã®ã« \"ip addr show ppp0\" を䜿ったりするこずがで"
 "きたす。"
 
 #: ../pppoeconf:476
diff --git a/po/old/pt.po b/po/old/pt.po
index 43cedd8..b425076 100644
--- a/po/old/pt.po
+++ b/po/old/pt.po
@@ -365,10 +365,10 @@ msgstr "LIGAÇÃO INICIADA"
 #, fuzzy
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "A ligação DSL foi establecida. Pode usar o comando \\\"plog\\\" para "
-"verificar o estado ou \\\"ifconfig ppp0\\\" para informações gerais do "
+"verificar o estado ou \\\"ip addr show ppp0\\\" para informações gerais do "
 "interface."
 
 #: ../../pppoeconf:396
diff --git a/po/pppoeconf.pot b/po/pppoeconf.pot
index ff063af..1b2e10d 100644
--- a/po/pppoeconf.pot
+++ b/po/pppoeconf.pot
@@ -256,7 +256,7 @@ msgstr ""
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 
 #: ../pppoeconf:476
diff --git a/po/pt_BR.po b/po/pt_BR.po
index 0c5b0c1..07656c0 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -354,10 +354,10 @@ msgstr "CONEX
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "A conexão ADSL foi iniciada. Você pode usar o comando \"plog\" para "
-"visualizar o estado ou \"ifconfig ppp0\" para informações gerais da "
+"visualizar o estado ou \"ip addr show ppp0\" para informações gerais da "
 "interface."
 
 #: ../pppoeconf:476
diff --git a/po/pt_PT.po b/po/pt_PT.po
index f76e473..8cedac9 100644
--- a/po/pt_PT.po
+++ b/po/pt_PT.po
@@ -352,10 +352,10 @@ msgstr "LIGAÇÃO INICIADA"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "A ligação DSL foi establecida. Pode usar o comando \"plog\" para verificar o "
-"estado ou \"ifconfig ppp0\" para informações gerais do interface."
+"estado ou \"ip addr show ppp0\" para informações gerais do interface."
 
 #: ../pppoeconf:476
 msgid "NO INTERFACE FOUND"
diff --git a/po/ru.po b/po/ru.po
index 1669c49..399f2fc 100644
--- a/po/ru.po
+++ b/po/ru.po
@@ -378,11 +378,11 @@ msgstr "НАЧАТО УСТАНОВЛЕНИЕ СОЕДИНЕНИЯ"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "БылП МачатП сПеЎОМеМОе через DSL. ЧтПбы пПсЌПтреть сПстПяМОе, ОспПльзуйте "
 "кПЌаМЎу \"plog\"; чтПбы увОЎеть ОМфПрЌацОю Пб ОМтерфейсе, ввеЎОте кПЌаМЎу "
-"\"ifconfig ppp0\"."
+"\"ip addr show ppp0\"."
 
 #: ../pppoeconf:476
 msgid "NO INTERFACE FOUND"
diff --git a/po/sl.po b/po/sl.po
index 222bc23..e565f46 100644
--- a/po/sl.po
+++ b/po/sl.po
@@ -300,10 +300,10 @@ msgstr "POVEZAVA VZPOSTAVLJENA"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "Povezava DSL se je sproÅŸila. Uporabite ukaz \"plog\" za prikaz stanja ali "
-"\"ifconfig ppp0\" za prikaz splošnih informacij o vmesniku."
+"\"ip addr show ppp0\" za prikaz splošnih informacij o vmesniku."
 
 #: ../pppoeconf:476
 msgid "NO INTERFACE FOUND"
diff --git a/po/zh_TW.po b/po/zh_TW.po
index 7db6178..83ff117 100644
--- a/po/zh_TW.po
+++ b/po/zh_TW.po
@@ -302,7 +302,7 @@ msgstr "初始連線"
 #: ../pppoeconf:464
 msgid ""
 "The DSL connection has been triggered. You can use the \"plog\" command to "
-"see the status or \"ifconfig ppp0\" for general interface info."
+"see the status or \"ip addr show ppp0\" for general interface info."
 msgstr ""
 "已經啟動DSL 連線。悚可以䜿甚 \"plog\" 䜿甚䟆檢芖狀態。 或䜿甚 \"ifconfig "
 "ppp0 \" 䟆瀏芜網路介面資蚊。 "
diff --git a/pppoeconf b/pppoeconf
index 555878b..0ee00ac 100755
--- a/pppoeconf
+++ b/pppoeconf
@@ -101,7 +101,7 @@ if test "$*" ; then
    list="$*"
    force_manual=1
 else
-   list=$( LANG=C /sbin/ifconfig -a | grep "Ethernet" | grep -v irlan | cut -f1 -d" " )
+   list=$( LANG=C /bin/ip -f link -o addr list | awk '/^[0-9]*\:.*link\/ether/{print $2}' | grep -v irlan | cut -f1 -d: )
 fi
 
 if test "$list" ; then
@@ -189,7 +189,7 @@ Webnetix:
             fi
 
             touch $TMP/pppoe.scan
-            ifconfig $iface up
+            ip link set $iface up
             ($DISCOVERY_PROGRAM $mmm -A -I $iface > $TMP/$iface.pppoe ; rm $TMP/pppoe.scan) &
 
             ( time=0 ; while test -f $TMP/pppoe.scan ; do time=`expr $time + 6`; echo $time; sleep 1; done ) | $DIALOG --title "$title" --gauge "$text $mmode" 10 60 0
@@ -253,9 +253,12 @@ Continue with configuration?')
          # interface activation code - this sucks here, pppd plugin should do it as needed
          #sed -i -e "s,pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf,pre-up /sbin/ifconfig $ifacenocomma up # line maintained by pppoeconf," $INTFILE
     # FIXME: Make sure that it gets added to correct iface stanza! (Because it's not always added above)
-    PATTERN_PREUP_IFACE="pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
-    REPLACE_PREUP_IFACE="pre-up /sbin/ifconfig $ifacenocomma up # line maintained by pppoeconf"
-    if grep -q "$PATTERN_PREUP_IFACE" $INTFILE; then 
+    PATTERN_PREUP_IFACE_LEGACY="pre-up /sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
+    PATTERN_PREUP_IFACE="pre-up /bin/ip link set[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.pppoeconf"
+    REPLACE_PREUP_IFACE="pre-up /bin/ip link set $ifacenocomma up # line maintained by pppoeconf"
+    if grep -q "$PATTERN_PREUP_IFACE_LEGACY" $INTFILE; then
+        sed -i -e "s,$PATTERN_PREUP_IFACE_LEGACY,$REPLACE_PREUP_IFACE," $INTFILE
+    elif grep -q "$PATTERN_PREUP_IFACE" $INTFILE; then
         sed -i -e "s,$PATTERN_PREUP_IFACE,$REPLACE_PREUP_IFACE," $INTFILE
     else
         sed -i -e "s,[^#]*\(iface dsl-provider.*\),\1\n$REPLACE_PREUP_IFACE," $INTFILE
@@ -461,7 +464,7 @@ Note that this situation is not expected and you should consider submitting a bu
       cd /
       pon dsl-provider
       title=$(gettext 'CONNECTION INITIATED')
-      text=$(gettext 'The DSL connection has been triggered. You can use the "plog" command to see the status or "ifconfig ppp0" for general interface info.')
+      text=$(gettext 'The DSL connection has been triggered. You can use the "plog" command to see the status or "ip addr show ppp0" for general interface info.')
       $DIALOG --title "$title" --clear --msgbox "$text" 10 60
       ;;
     1)
-- 
1.8.4.2




Information forwarded to debian-bugs-dist@lists.debian.org, Gregory Colpart <reg@debian.org>:
Bug#728647; Package pppoeconf. (Sun, 03 Nov 2013 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Gregory Colpart <reg@debian.org>. (Sun, 03 Nov 2013 18:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 728647@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 728647@bugs.debian.org
Subject: Re: missing dependencies on ifupdown and net-tools
Date: Sun, 3 Nov 2013 18:48:52 +0000
[Message part 1 (text/plain, inline)]
Hi

Apparently my mail client can't be convinced not to mangle the second 
patch, due to the unfuzzed gettext translations in po/*.po{,t}, 
therefore I'm now sending both patches also as attachment.

Regards
	Stefan Lippers-Hollmann
[0001-add-missing-package-dependencies-on-ifupdown-and-net.patch (text/x-patch, attachment)]
[0002-follow-ifupdown-and-switch-from-net-tools-ifconfig-t.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 06 Nov 2013 10:03:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Gregory Colpart <reg@evolix.fr> to control@bugs.debian.org. (Sat, 14 Dec 2013 22:03:12 GMT) Full text and rfc822 format available.

Reply sent to Gregory Colpart <reg@debian.org>:
You have taken responsibility. (Sat, 28 Dec 2013 00:06:22 GMT) Full text and rfc822 format available.

Notification sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Bug acknowledged by developer. (Sat, 28 Dec 2013 00:06:22 GMT) Full text and rfc822 format available.

Message #29 received at 728647-close@bugs.debian.org (full text, mbox):

From: Gregory Colpart <reg@debian.org>
To: 728647-close@bugs.debian.org
Subject: Bug#728647: fixed in pppoeconf 1.21
Date: Sat, 28 Dec 2013 00:04:03 +0000
Source: pppoeconf
Source-Version: 1.21

We believe that the bug you reported is fixed in the latest version of
pppoeconf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gregory Colpart <reg@debian.org> (supplier of updated pppoeconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 27 Dec 2013 03:03:25 +0100
Source: pppoeconf
Binary: pppoeconf
Architecture: source all
Version: 1.21
Distribution: unstable
Urgency: low
Maintainer: Gregory Colpart <reg@debian.org>
Changed-By: Gregory Colpart <reg@debian.org>
Description: 
 pppoeconf  - configures PPPoE/ADSL connections
Closes: 697939 728647 732174 732192
Changes: 
 pppoeconf (1.21) unstable; urgency=low
 .
   [ Stefan Lippers-Hollmann ]
   * Add missing package dependency on ifupdown.
   * Follow ifupdown and switch from net-tools' ifconfig to iproute2, adapt
     dependencies accordingly (Closes: #728647).
 .
   [ Gregory Colpart ]
   * Warn about changes in pap/chap-secrets files and comment old lines instead
     of remove (Closes: #697939).
   * Update to standards version 3.9.5, no further required changes.
   * Add build-indep and build-arch targets (fix lintian warning).
   * Update POT and PO files.
   * Update japanese translation (Closes: #732174)
     Thanks to Kenshi Muto <kmuto@debian.org>
   * Update russian translation (Closes: #732192)
     Thanks to Yuri Kozlov <yuray@komyakino.ru>
   * Update slovene language
     Thanks to Jure Cuhalev <gandalf@owca.info>
Checksums-Sha1: 
 c5c0cbc7039b27c0b1ad04c4c5f08884b7423e69 927 pppoeconf_1.21.dsc
 ebb663ddece35b12c1d562289d5c61164e9af9a9 51889 pppoeconf_1.21.tar.gz
 4f21b0611b49794e4b338d21198d94bc4ec7662e 40252 pppoeconf_1.21_all.deb
Checksums-Sha256: 
 be2b391105fa499985365989b7eb12ac88511b27bead9d1d31d7ce9c8ba1ff9e 927 pppoeconf_1.21.dsc
 8064e943edccc2c68b555c83a7dd2811952181993b3f97fc45257581a43ff581 51889 pppoeconf_1.21.tar.gz
 a559761f1b40e8e3868198f87257d68c425858036069f922ea17ef7599cb95e1 40252 pppoeconf_1.21_all.deb
Files: 
 da498d5a30d1094d8cb8f5556c612495 927 net optional pppoeconf_1.21.dsc
 2971d1038839e221a0917fd86c62b29a 51889 net optional pppoeconf_1.21.tar.gz
 8fdf64048d8075ff957b3a17efea0249 40252 net optional pppoeconf_1.21_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAlK+FGsACgkQMhdcDcECeg6LhACfSLxPVciRA1UysLsuvvu+GP9s
7uoAniebwkSVSZfbdtQcCfR+2DeuED5I
=rR3R
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Jan 2014 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:01:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.